
Tripnet - Certification Comments #101146
Expedia unique booking id request
06/26/2020 02:17 pm - Sreerag Prasannan

Status: Closed Start date: 06/29/2020
Priority: Normal Due date: 06/29/2020
Assignee: Jomiya J % Done: 100%
Category: Functionality Estimated time: 2.00 hours
Target version: V1 Spent time: 4.00 hours
DB Changes: nill Files Changed: Booking/PNRBookingService.cs


Keys & Permissions: nill Initial Planned Hours: 2
Areas Affected: nill
Description

https://test.ean.com/2.3/itineraries?token=QldfCGlcUA4FVVlQBAAAVAFDRwdWXBBLDwheZkFdBwUAUFJSUwoHWxkCCQAGSwd
W1IYBVZTVUwAAQYCUVcHUFcEUgYQXlVHVApVC0BrDlBnQ1BWWxYBD3w9YHNxcSceQBZfUFI-UAtZWgMEUAVUAFUVUENDVk0AbApXCwZRB1YOAgACBhNADUNdORZNEVUOTRNYVQtMCFcPVA1tVhQMRUZQQEMJVgFBRQBfBU0OBRQMUUMJB0ILDVZrBABUE19YXVAXVgN
k0AbApXCwZRB1YOAgACBhNADUNdORZNEVUOTRNYVQtMCFcPVA1tVhQMRUZQQEMJVgFBRQBfBU0OBRQMUUMJB0ILDVZrBABUE19YXVAXVgNTBF0PGWxgEhVaTEtTBwhKUEMKUBlAFltXAB4GClcHDkNCABddPEVNFVRea2B5KnNyZicSCFAROUUHTAAXCVICXkYGEQNQFl1dWAVHUgldBlxfVgoAVVFSGghTHVQCRURTQhZbBEpmRBdcVghdVmgNAQ4OVgZRCAUfBkFEFl1aARoNeS1iQ1VVE1
rBABUE19YXVAXVgNTBF0PGWxgEhVaTEtTBwhKUEMKUBlAFltXAB4GClcHDkNCABddPEVNFVRea2B5KnNyZicSCFAROUUHTAAXCVICXkYGEQNQFl1dWAVHUgldBlxfVgoAVVFSGghTHVQCRURTQhZbBEpmRBdcVghdVmgNAQ4OVgZRCAUfBkFEFl1aARoNeS1iQ1VVE18AFloIBjpQWlJWClxUX1QWBV1BDRFRTDwUUkVGD0YBVgwEAAoWVEQFCwAFCVhCFl8AAAoASAYCGQIPQgMHUGlZAQVWAlEDD0RNFg9dBAAGUwpAQg5cRUkNDVM7SQVADg5lbSR7ICV5LC90HwNZXRNYRgkBAgQDHQAFEQFYCkdRBWlNQlBHawMXXUw
AXCVICXkYGEQNQFl1dWAVHUgldBlxfVgoAVVFSGghTHVQCRURTQhZbBEpmRBdcVghdVmgNAQ4OVgZRCAUfBkFEFl1aARoNeS1iQ1VVE18AFloIBjpQWlJWClxUX1QWBV1BDRFRTDwUUkVGD0YBVgwEAAoWVEQFCwAFCVhCFl8AAAoASAYCGQIPQgMHUGlZAQVWAlEDD0RNFg9dBAAGUwpAQg5cRUkNDVM7SQVADg5lbSR7ICV5LC90HwNZXRNYRgkBAgQDHQAFEQFYCkdRBWlNQlBHawMXXUwVDVBUVBVdFhZTVVITQQpWUzsSW01AAlxbRwRBXl1IQxFaVVFLUAxcVVsVU0BAEFhVAxBrElVASghWXz1RBQVUBlIEDVNSABhWVlZWGFZRUVUcB1VQVx9YBgBbUlUDBwgCUAAXRlZKQF4NWTtfXQVVDV8EVgIGARQHAwFbHAdWV1EdXFBRVR4EUwRRAFJUA

/{&quot;affiliate_reference_id&quot;:&q
/{&quot;affiliate_reference_id&quot;:&quot;CAX6/26/2020
lIEDVNSABhWVlZWGFZRUVUcB1VQVx9YBgBbUlUDBwgCUAAXRlZKQF4NWTtfXQVVDV8EVgIGARQHAwFbHAdWV1EdXFBRVR4EUwRRAFJUAFANUgESFUMMSFFKEE5sXQcJVwZRVgRRCkMDUVoGQFQXUgJuEl1UAAhTAVMISAcAFQUEMVNUEgslBVMSUHUBAUwEVwhjEgZcRQ9FQU47BlxcAwstbhdbAFBpAF1HARFZQBdZClYJUB8xFVoISidWVhVaAV1nAQteB1FWFxBZTAoJWQkWU3ZBBXNHU1QRSBIDRldURwR2R1AAZE9ZC3RQUBYFVkRQdxMCV0sMTwcVC1AcVSccCwdgFFEIFFQBEAsnRgZWSBFVCEdfTRwQVlYQUCAAHFVwF1NyFEdDR0NaWlVHaAtQWAYAR3VQVFZeRxEIDwhTAQQDCVQIAVc=/{&quot;affiliate_reference_id&quot;:&quot;CAX6/26/2020
4EUwRRAFJUAFANUgESFUMMSFFKEE5sXQcJVwZRVgRRCkMDUVoGQFQXUgJuEl1UAAhTAVMISAcAFQUEMVNUEgslBVMSUHUBAUwEVwhjEgZcRQ9FQU47BlxcAwstbhdbAFBpAF1HARFZQBdZClYJUB8xFVoISidWVhVaAV1nAQteB1FWFxBZTAoJWQkWU3ZBBXNHU1QRSBIDRldURwR2R1AAZE9ZC3RQUBYFVkRQdxMCV0sMTwcVC1AcVSccCwdgFFEIFFQBEAsnRgZWSBFVCEdfTRwQVlYQUCAAHFVwF1NyFEdDR0NaWlVHaAtQWAYAR3VQVFZeRxEIDwhTAQQDCVQIAVc=/{&quot;affiliate_reference_id&quot;:&quot;CAX6/26/2020
HUBAUwEVwhjEgZcRQ9FQU47BlxcAwstbhdbAFBpAF1HARFZQBdZClYJUB8xFVoISidWVhVaAV1nAQteB1FWFxBZTAoJWQkWU3ZBBXNHU1QRSBIDRldURwR2R1AAZE9ZC3RQUBYFVkRQdxMCV0sMTwcVC1AcVSccCwdgFFEIFFQBEAsnRgZWSBFVCEdfTRwQVlYQUCAAHFVwF1NyFEdDR0NaWlVHaAtQWAYAR3VQVFZeRxEIDwhTAQQDCVQIAVc=/{&quot;affiliate_reference_id&quot;:&quot;CAX6/26/2020
ZBBXNHU1QRSBIDRldURwR2R1AAZE9ZC3RQUBYFVkRQdxMCV0sMTwcVC1AcVSccCwdgFFEIFFQBEAsnRgZWSBFVCEdfTRwQVlYQUCAAHFVwF1NyFEdDR0NaWlVHaAtQWAYAR3VQVFZeRxEIDwhTAQQDCVQIAVc=/{&quot;affiliate_reference_id&quot;:&quot;CAX6/26/2020
QVlYQUCAAHFVwF1NyFEdDR0NaWlVHaAtQWAYAR3VQVFZeRxEIDwhTAQQDCVQIAVc=/{&quot;affiliate_reference_id&quot;:&quot;CAX6/26/2020
ot;CAX6/26/2020 00:00:00946","hold":false,"rooms":[{"title":"Mr","given_name":"sreerag","family_name":"prasannan","email":"
sreerag.p@caxita.com
","phone":{"country_code":"965","area_code":"965","number":"9072213913"},"smoking":false,"special_request":""}],"payments":[{"type
:"affiliate_collect","card_type":null,"number":null,"security_code":null,"expiration_month":null,"expiration_year":null,"billing_contact":{"given_name":"sreerag","family_name":"prasannan","email":"
iven_name":"sreerag","family_name":"prasannan","email":"sreerag.p@caxita.com
","phone":{"country_code":"965","area_code":"965","number":"9072213913"},"address":{"line_1":"Test
Adress","line_2":null,"line_3":null,"city":"Test
City","state_province_code":null,"postal_code":null,"country_code":"KW"}}}],"affiliate_metadata":null,"tax_registration_number":null,"traveler_handling_instructions":null}
veler_handling_instructions":null}

affiliate_reference_id - this must be unique ID in value, pass reference ID

History
#1 - 06/26/2020 02:40 pm - jijo g
- Due date set to 06/29/2020
- Status changed from New to Assigned
- Assignee set to Jomiya J
- Target version set to V1
- Start date changed from 06/26/2020 to 06/29/2020
- Estimated time set to 2.00
- Initial Planned Hours changed from 0 to 2

#2 - 06/29/2020 09:48 am - Jomiya J
- Status changed from Assigned to In Progress
mailto:sreerag.p@caxita.com
mailto:sreerag.p@caxita.com


#3 - 06/30/2020 12:11 pm - Jomiya J

Already we passing unique id for affiliate_reference_id. ie; cax concatenate to today's datetime. so date time always unique.
Also check price issue in expedia result. checked in local and staging issue not found..

#4 - 06/30/2020 06:44 pm - Jomiya J
- File expediaPrice.png added
- Status changed from In Progress to Fixed not Tested
- % Done changed from 0 to 100
- DB Changes set to nill
- Keys & Permissions set to nill
- Areas Affected set to nill
- Files Changed set to nill

Issue not found

#5 - 07/01/2020 10:28 am - Jomiya J
- Files Changed changed from nill to Booking/PNRBookingService.cs

As per the discussion with client need to change affiliate_reference_id from timestamp to any other unique id.

#6 - 07/06/2020 04:26 pm - Sreerag Prasannan
- Status changed from Fixed not Tested to Closed

fixed and updated

Files
expediaPrice.png 1.08 MB 06/30/2020 Jomiya J
